#include<bits/stdc++.h>
using namespace std;

long long x1,x2,m1,m2;

void one() {
	if (abs(x1-x2)==abs(m1-m2)) printf("1"); else printf("0");
}

int main() {
	scanf("%lld%lld%lld%lld",&x1,&m1,&x2,&m2);
	
	if ((x1==x2)||(m1==m2)) printf("2"); else one();
}